﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Fluke 192B: (1 year) VER RS-232 /5500+SC600
DATE:                  2018-01-05 10:52:22
AUTHOR:                Fluke
REVISION:              $Revision: 22091 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       207
CONFIGURATION:         Fluke 5500A (S6)
=============================================================================
#
#  Procedure Author:
#        DT, GMO, DFM, VY
#
#  This procedure contains tests whose Test Uncertainty Ratios are less
#  than 4:1, based on 5500A (1 year) specifications.
#        INPUT A AC VOLTAGE ACCURACY (HF) & BANDWIDTH TEST
#               900 mV @ 1 MHz;    TUR 2.0566
#               900 mV @ 25 MHz;   TUR 3.4803
#
#        INPUT B AC VOLTAGE ACCURACY (HF) & BANDWIDTH TEST
#               900 mV @ 1 MHz;    TUR 2.0566
#               900 mV @ 25 MHz;   TUR 3.4803
#
#  Source:
#        Fluke 19xB-19xC-2x5C ScopeMeter®  Service Manual,
#          models 192B,196B,199B,192C,196C,199C,215C,225C
#        Part No. 4822 872 05391, September 2002, rev.2, Oct.09
#
#  Compatibility:
#        MET/CAL 8.2 or later
#
#  Required Equipment:
#        Adapter, dual banana plug to BNC(f), Fluke PM 9081/001
#        Adapter, dual banana jack to BNC(m), Fluke PM 9082/001
#        Test leads, stackable, 24", 4 ea.
#        Termination, feedthrough, 50 Ω, Fluke PM 9585
#        Cable, 50 Ω, BNC(m)-(m), Pomona 2249-C-36, 2 ea.
#        Fluke PM9080 Optically Isolated Interface Cable
#        Fluke Adapter Kit, Part No. 689486 or equivalent. Includes DB9(f)
#         to DB9(f) null modem adapter and DB9(m) to DB9(m) gender changer
#        VPS210-G Voltage Probe (200 MHz, 10:1), Grey or Red
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following statements are included to force the main procedure header to
# include CONFIGURATION lines for the references used in the subprocedures.
  1.001  IF           0
  1.002  5500         200.0MH                      300mVpp        LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            F        V

  1.005  IF           NOT(VERSIONCHECK("8.2"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright
  1.009  CALL         Sub High Voltage Safety Warning

  1.010  HEAD         INITIAL INFORMATION
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.013  HEAD         TEST CONDITIONS
  1.014  DISP         - Warm-up time requirement: 30 minutes
  1.014  DISP         - Ambient temperature: 18 °C - 28 °C.
  1.014  DISP         - Relative humidity: less than 90 %.

  1.015  HEAD         EQUIPMENT REQUIREMENTS
  1.016  OPBR         -z Do you want to review the list of additional
  1.016  OPBR         equipment and/or accessories required?

  1.017  IF           MEM1
  1.018  DISP         The following additional equipment and/or
  1.018  DISP         accessories are required:
  1.018  DISP
  1.018  DISP         - Adapter, dual banana plug to BNC(f), Fluke PM 9081/001
  1.018  DISP         - Adapter, dual banana jack to BNC(m), Fluke PM 9082/001
  1.018  DISP         - Test leads, stackable, 4 ea.
  1.018  DISP         - Termination, feedthrough, BNC, 50 Ω, Fluke PM 9585
  1.018  DISP         - Cable, 50 Ω, BNC(m)-(m), Pomona 2249-C-36, 2 ea.
  1.018  DISP         - Cable, communication, isolated, Fluke PM 9080
  1.018  DISP         - Adapter Kit, Fluke Part No. 689486 (COM5500 Selected)
  1.018  DISP         -
  1.018  DISP         - Accessories supplied with UUT
  1.018  DISP         [32] Power Adapter, BC190
  1.018  DISP         [32] VPS210-G Voltage Probe (200 MHz, 10:1), Grey or Red
  1.019  ENDIF

  1.020  HEAD         PRELIMINARY INSTRUCTIONS
  1.021  DISP         [32]           IMPORTANT! PLEASE NOTE!!
  1.021  DISP
  1.021  DISP         Throughout this procedure, the UUT MUST be powered
  1.021  DISP         by the BC190 battery charger (the battery pack must
  1.021  DISP         be installed).

  1.022  DISP         Prior to verification, the UUT must be reset.
  1.022  DISP         Reset the UUT using the following procedure:
  1.022  DISP
  1.022  DISP         - Press and release the power button to turn UUT off
  1.022  DISP         - PRESS AND HOLD the UUT "USER" button
  1.022  DISP         - Press and release the power button to turn UUT on
  1.022  DISP         - WAIT until the UUT has BEEPED TWICE, then release
  1.022  DISP         [32] the UUT "USER" button

# Configure interface cable.
  1.023  MATH         lb = lbNew("Communication Interface Cable Type")
  1.024  MATH         lbText(lb, "To communicate with Fluke Scopemeter, you")
  1.025  MATH         lbText(lb, "can use the FLUKE OC4USB Optical Cable for")
  1.026  MATH         lbText(lb, "USB or Fluke PM9080 Optically Isolated")
  1.027  MATH         lbText(lb, "RS-232 cable.")
  1.028  MATH         lbText(lb, "")
  1.029  MATH         lbText(lb, "Select your cable type from list box below")
  1.030  MATH         lbAdd(lb, "Fluke OC4USB Optical Cable for USB")
  1.031  MATH         lbAdd(lb,"Fluke PM9080 Optically Isolated RS-232 cable")
  1.032  MATH         lbShow(lb)
  1.033  MATH         Index = lbGetSelX(lb, 1)

  1.034  IF           Index == 1
  1.035  CALL         Sub Fluke ScopeMeter (UUT) Connection RS-232 /OC4USB
  1.036  ELSE
  1.037  CALL         Sub Fluke ScopeMeter (UUT) Connection RS-232 /5500
  1.038  ENDIF

  1.039  JMPL         END                          @Abort

# Setup UUT RS232 communication.
  1.040  LABEL        RS232_SETUP
  1.041  PORT         [REOPEN][P1200,N,8,1,X][OTERM CR]

  1.042  HEAD         UUT IDENTIFICATION
  1.043  MATH         @Bandwidth = 60E+6
# Query test tool name and firmware version.
  1.044  CALL         Sub Fluke ScopeMeter Identification RS-232

# Make sure correct UUT is connected.
  1.045  MATH         L[1] = ZCMPI(@Manufacturer,  "Fluke")
  1.046  MATH         L[2] = ZCMPI(@ModelNum, "192B")

  1.047  IF           NOT(L[1]) || NOT(L[2])
  1.048  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.048  DISP         not a Fluke 192B!
  1.049  END
  1.050  ENDIF

  1.051  CALL         Sub Fluke 19xB/C Check Firmware Revision RS-232

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.052  CALL         Sub Fluke ScopeMeter Display Tests RS-232
  1.053  CALL         Sub Fluke 19xB/C (1 yr) Vertical Acc VER RS-232 /5500
  1.054  CALL         Sub Fluke 19xB/C (1 yr) DCV Acc VER RS-232 /5500
  1.055  CALL         Sub Fluke 19xB/C (1 yr) ACV Acc VER RS-232 /5500
  1.056  CALL         Sub Fluke 19xB/C (1 yr) ACV AC Coupled VER RS-232 /5500
  1.057  CALL         Sub Fluke 19xB/C (1 yr) A&B V Peak VER RS-232 /5500
  1.058  CALL         Sub Fluke 19xB/C (1 yr) A&B Freq Meas RS-232 /5500+S6
  1.059  CALL         Sub Fluke 19xB/C (1 yr) A&B Phase Meas RS-232 /5500+S6
  1.060  CALL         Sub Fluke 19xB (1 yr) Time Base RS-232 /5500+S6
  1.061  CALL         Sub Fluke 19xB/C (1 yr) A Trigger Sens RS-232 /5500+S6
  1.062  CALL         Sub Fluke 19xB/C (1 yr) A Bandwidth RS-232 /5500+S6
  1.063  JMPL         A_VIDEO

  1.064  LABEL        TRIG_SENS_B
  1.065  CALL         Sub Fluke 19xB/C (1 yr) B Trigger Sens RS-232 /5500+S6
  1.066  CALL         Sub Fluke 19xB/C (1 yr) B Bandwidth RS-232 /5500+S6
  1.067  JMPL         EXT_TRIGGER

  1.068  LABEL        A_VIDEO
  1.069  CALL         Sub Fluke 19xB/C (1 yr) A Video RS-232 /5500+S6
  1.070  JMPL         TRIG_SENS_B

  1.071  LABEL        EXT_TRIGGER
  1.072  CALL         Sub Fluke 19x (1 yr) Meter Ext Trigger RS-232 /5500
  1.073  CALL         Sub Fluke 19x (1 yr) Meter DCV Acc RS-232 /5500
  1.074  CALL         Sub Fluke 19x (1 yr) Meter ACV Acc RS-232 /5500
  1.075  CALL         Sub Fluke 19x (1 yr) Meter Continuity RS-232 /5500
  1.076  CALL         Sub Fluke 19x (1 yr) Meter Diode RS-232 /5500
  1.077  CALL         Sub Fluke 19x (1 yr) Meter Resistance Acc RS-232 /5500
  1.078  CALL         Sub Fluke 19x Probe Ver RS-232

  1.079  LABEL        END

  1.080  IF           @Abort
  1.081  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.082  ENDIF

  1.083  END
